Subject: Re: Enlarging Kernel Stack (doesn't this question ever go away?)

From: Dan Malek <[email-masked]>
Date: Mon, 24 Jun 2002 18:28:33 -0400

David C. Chiu wrote:

> Thanks for the tip, however the problem isn't that we are allocating
> large stack variables but we have deeply nested calls...

Hmmmm.....Don't do that, then :-)  The stack plus thread structures
consist of two pages.  I don't know how many places may still assume
that in the code.  Due to both physical and virtual access to the pages,
I think they may also have to be physically contiguous (they used to be),
so you will have to allocate 4 pages as the next step.

Good Luck.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/